Support Questions

Find answers, ask questions, and share your expertise

SparkR interpreter not found in Zeeplin

Contributor

Hi,

I am unable to execute SparkR in Zeeplin and I see below issue.

Can someone help me.

sparkr.jpg

5 REPLIES 5

Contributor

Here is the error:

org.apache.zeppelin.interpreter.InterpreterException: spark.r interpreter not found at org.apache.zeppelin.interpreter.InterpreterFactory.getInterpreter(InterpreterFactory.java:417) at org.apache.zeppelin.notebook.Note.run(Note.java:617) at org.apache.zeppelin.socket.NotebookServer.persistAndExecuteSingleParagraph(NotebookServer.java:1650) at org.apache.zeppelin.socket.NotebookServer.runParagraph(NotebookServer.java:1624) at org.apache.zeppelin.socket.NotebookServer.onMessage(NotebookServer.java:266) at org.apache.zeppelin.socket.NotebookSocket.onWebSocketText(NotebookSocket.java:59) at org.eclipse.jetty.websocket.common.events.JettyListenerEventDriver.onTextMessage(JettyListenerEventDriver.java:128) at org.eclipse.jetty.websocket.common.message.SimpleTextMessage.messageComplete(SimpleTextMessage.java:69) at org.eclipse.jetty.websocket.common.events.AbstractEventDriver.appendMessage(AbstractEventDriver.java:65) at org.eclipse.jetty.websocket.common.events.JettyListenerEventDriver.onTextFrame(JettyListenerEventDriver.java:122) at org.eclipse.jetty.websocket.common.events.AbstractEventDriver.incomingFrame(AbstractEventDriver.java:161) at org.eclipse.jetty.websocket.common.WebSocketSession.incomingFrame(WebSocketSession.java:309) at org.eclipse.jetty.websocket.common.extensions.ExtensionStack.incomingFrame(ExtensionStack.java:214) at org.eclipse.jetty.websocket.common.Parser.notifyFrame(Parser.java:220) at org.eclipse.jetty.websocket.common.Parser.parse(Parser.java:258) at org.eclipse.jetty.websocket.common.io.AbstractWebSocketConnection.readParse(AbstractWebSocketConnection.java:632) at org.eclipse.jetty.websocket.common.io.AbstractWebSocketConnection.onFillable(AbstractWebSocketConnection.java:480) at org.eclipse.jetty.io.AbstractConnection$2.run(AbstractConnection.java:544) at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:635) at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:555) at java.lang.Thread.run(Thread.java:745)

ERROR Took 0 sec. Last updated by at June 19 2018, 5:37:17 PM. (outdated)

@Sriram

Please make sure R is install following the steps described here:

https://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.6.5/bk_spark-component-guide/content/ch_spark-r...

You can read more about sparkr interpreter here:

https://zeppelin.apache.org/docs/0.6.2/interpreter/r.html

As per "spark.r interpreter not found" make sure you have spark interpreter installed and configured. And that you are using correct %<name> - For example, in my environment I only use spark2 hence I need to use interpreter %spark2.r instead of %spark.r (which fails with same error as yours) - You can check by clicking on top right drop down menu next to your username > Interpreter > Filter by spark.

Finally review the Spark interpreter configuration settings for R

77752-screen-shot-2018-06-19-at-102856-am.png

HTH

*** If you found this answer addressed your question, please take a moment to login and click the "accept" link on the answer.

Contributor

@Felix Albani

I believe there are some configuration issues too.

Here is the list of interpreters in the zeppelin - found from Ambari .

org.apache.zeppelin.spark.SparkInterpreter,org.apache.zeppelin.spark.PySparkInterpreter,org.apache.zeppelin.spark.SparkSqlInterpreter,org.apache.zeppelin.spark.DepInterpreter,org.apache.zeppelin.markdown.Markdown,org.apache.zeppelin.angular.AngularInterpreter,org.apache.zeppelin.shell.ShellInterpreter,org.apache.zeppelin.jdbc.JDBCInterpreter,org.apache.zeppelin.phoenix.PhoenixInterpreter,org.apache.zeppelin.livy.LivySparkInterpreter,org.apache.zeppelin.livy.LivyPySparkInterpreter,org.apache.zeppelin.livy.LivySparkRInterpreter,org.apache.zeppelin.livy.LivySparkSQLInterpreter

I dont see any interpreter related to R or sparkR here.

Do we need to add interpreter in zeppelin-site.xml and I see below are the interpreters to be added:

org.apache.zeppelin.rinterpreter.RRepl,org.apache.zeppelin.rinterpreter.KnitR,org.apache.zeppelin.spark.SparkRInterpreter

Do I need to add them?

I see R is installed properly on the server.

@Sriram I have same values exactly as you listed above. Could you share a screenshot of drop down menu next to your username > Interpreter > Filter by spark? Also could you confirm if regular %spark works?

Contributor

Thanks for response. Will check and will get back to you.

Take a Tour of the Community
Don't have an account?
Your experience may be limited. Sign in to explore more.